{
  "log": {
    "loglevel": "warning",
    "error": "/var/log/xray/error.log",
    "access": "/var/log/xray/access.log"
  },
  "inbounds": [
    {
      "tag": "dns-in",
      "port": 53,
      "protocol": "dokodemo-door",
      "settings": {
        "address": "192.168.233.2",
        "port": 5353,
        "network": "udp",
        "userLevel": 1
      }
    },
    {
      "tag": "all-in",
      "port": 12345,
      "protocol": "dokodemo-door",
      "settings": {
        "network": "tcp,udp",
        "followRedirect": true
      },
      "sniffing": {
        "enabled": true,
        "destOverride": [
          "http",
          "tls"
        ]
      },
      "streamSettings": {
        "sockopt": {
          "tproxy": "tproxy"
        }
      }
    },
    {
      "protocol": "socks",
      "port": 22999,
      "listen": "0.0.0.0",
      "sniffing": {
        "enabled": true,
        "destOverride": [
          "http",
          "tls"
        ]
      },
      "settings": {
        "auth": "noauth",
        "udp": true,
        "userLevel": 10
      },
      "streamSettings": {
        "sockopt": {
          "tproxy": "tproxy"
        }
      }
    }
  ],
  "outbounds": [
    {
      "tag": "direct",
      "protocol": "freedom",
      "settings": {
        "domainStrategy": "UseIPv4"
      },
      "streamSettings": {
        "sockopt": {
          "mark": 23
        }
      }
    },
    {
      "tag": "proxy",
      "protocol": "vless",
      "settings": {
        "vnext": [
          {
            "address": "43.154.83.213",
            "port": 29999,
            "users": [
              {
                "id": "fc903f5d-a007-482b-928c-570da9a851f9",
                "alterId": 0,
                "email": "192.168.11.19@qq.com",
                "security": "auto",
                "encryption": "none",
                "flow": "xtls-rprx-direct"
              }
            ]
          }
        ]
      },
      "streamSettings": {
        "network": "tcp",
        "security": "xtls",
        "xtlsSettings": {
          "serverName": "tencent-hk-11.17.107421.xyz",
          "allowInsecure": true,
          "rejectUnknownSni": false,
          "alpn": [
            "h2",
            "http/1.1"
          ],
          "minVersion": "1.2",
          "maxVersion": "1.3"
        },
        "sockopt": {
          "mark": 23
        }
      }
    },
    {
      "tag": "block",
      "protocol": "blackhole"
    }
  ],
  "routing": {
    "domainStrategy": "IPIfNonMatch",
    "rules": [
      {
        "type": "field",
        "ip": [
          "geoip:google",
          "geoip:us",
          "geoip:facebook",
          "geoip:jp",
          "geoip:facebook",
          "geoip:telegram",
          "geoip:twitter",
          "1.1.1.1/32",
          "1.0.0.1/32",
          "8.8.8.8/32",
          "8.8.4.4/32"
        ],
        "domain": [
          "github.com",
          "youtube.com",
          "geosite:gfw",
          "geosite:greatfire",
          "chatgpt.107421.xyz"
        ],
        "outboundTag": "proxy"
      },
      {
        "type": "field",
        "ip": [
          "223.5.5.5/32",
          "119.29.29.29/32",
          "180.76.76.76/32",
          "114.114.114.114/32",
          "geoip:cn",
          "geoip:private"
        ],
        "domain": [
          "superwdd-my.sharepoint.com",
          "sharepoint.com",
          "geosite:apple-cn"
        ],
        "outboundTag": "direct"
      }
    ]
  }
}
